Loading...
Searching...
No Matches
XrdSys::IOEvents::BootStrap Class Reference
Collaboration diagram for XrdSys::IOEvents::BootStrap:

## Static Public Member Functions

static void * | Start (void *parg)

## Detailed Description

Definition at line 135 of file XrdSysIOEvents.cc.

## Member Function Documentation

## Start()

void * XrdSys::IOEvents::BootStrap::Start | ( | void * | parg | ) |

static

Definition at line 142 of file XrdSysIOEvents.cc.

{
struct pollArg *pollArg = (struct pollArg *)parg;
Poller *thePoller = pollArg->pollP;
XrdSysSemaphore *theSem = pollArg->pollSync;
thePoller->pollTid = XrdSysThread::ID();
thePoller->Begin(theSem, pollArg->retCode, &(pollArg->retMsg));
delete theSem;
return (void *)0;
}
XrdSysThread::ID
static pthread_t ID(void)
Definition XrdSysPthread.hh:584

References XrdSys::IOEvents::Poller::Begin(), XrdSysThread::ID(), XrdSys::IOEvents::pollArg::pollP, XrdSys::IOEvents::pollArg::pollSync, XrdSys::IOEvents::Poller::pollTid, XrdSys::IOEvents::pollArg::retCode, and XrdSys::IOEvents::pollArg::retMsg.

Referenced by XrdSys::IOEvents::Poller::Create().

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdSysIOEvents.cc